Policy Description - List By Service
Lists all policy descriptions.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/policyDescriptions?api-version=2024-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/policyDescriptions?scope={scope}&api-version=2024-05-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
The name of the API Management service. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
scope
|
query |
Policy scope. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Returns an array of policy descriptions. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
ApiManagementListPolicyDescriptions
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyDescriptions?scope=Api&api-version=2024-05-01
Sample response
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyDescriptions/authentication-basic",
"type": "Microsoft.ApiManagement/service/policyDescriptions",
"name": "authentication-basic",
"properties": {
"description": "Authenticate with the backend service using Basic authentication. Use in the inbound section at API scope.",
"scope": 268435471
}
},
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/policyDescriptions/authentication-certificate",
"type": "Microsoft.ApiManagement/service/policyDescriptions",
"name": "authentication-certificate",
"properties": {
"description": "Authenticate with the backend service using a client certificate. Use in the inbound section at API scope.",
"scope": 268435471
}
}
],
"count": 2
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Policy |
Descriptions of API Management policies. |
|
Policy |
Policy description details. |
|
Policy |
Policy scope. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
PolicyDescriptionCollection
Descriptions of API Management policies.
| Name | Type | Description |
|---|---|---|
| count |
integer (int64) |
Total record count number. |
| value |
Descriptions of API Management policies. |
PolicyDescriptionContract
Policy description details.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties.description |
string |
Policy description. |
| properties.scope |
integer (int64) |
Binary OR value of the Snippet scope. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
PolicyScopeContract
Policy scope.
| Value | Description |
|---|---|
| Tenant | |
| Product | |
| Api | |
| Operation | |
| All |